SESS_ID(1SSL)

NOM
sess_id - Utilitaire de manipulation de sessions SSL/TLS

SYNOPSIS
openssl sess_id [-inform PEM|DER] [-outform PEM|DER] [-in nom_fichier] [-out nom_fichier] [-text] [-noout] [-context identifiant]

DESCRIPTION
sess_id analyse la version encodée de la structure de sessions SSL et affiche facultativement les détails de la session SSL (par exemple la clef maîtresse de la session SSL) dans un format lisible. Puisque c'est un outil de diagnostic qui à besoin de certaines connaissances du protocole SSL pour être utilisé correctement, la plupart des utilisateurs n'ont pas besoin de l'utiliser.

-inform DER|PEM
    Indiquer le format d'entrée. L'option DER utilise un format d'encodage ASN1 DER, contenant les détails de session. Le format précis peut varier d'une version à l'autre. PEM, est le format par défaut : l'option consiste à encoder le format DER en base64 avec des lignes supplémentaires au début et à la fin.

-outform DER|PEM
    Indiquer le format de sortie. Les options ont la même signification que pour l'option -inform.

-in nom_fichier
    Indiquer le fichier d'information de session à lire en entrée. L'entrée standard est utilisée par défaut.

-out nom_fichier
    Indiquer le fichier de sortie où écrire les informations de session. La sortie standard est utilisée si cette option n'est pas spécifiée.

-text
    Afficher les différentes composantes des clefs privées ou publiques au format texte en plus de la version encodée.

-cert
    Avec cette option, un certificat sera produit s'il est présent dans la session. Si l'option -text est également présente, alors il sera affiché au format texte.

-noout
    Empêcher la sortie de la version encodée de la session.

-context identifiant
    Définir l'identifiant de session, de telle sorte que les informations de la session de sortie utilise l'identifiant fourni. L'identifiant peut-être une chaîne de caractères quelconque. Cette option ne sera pas utilisée normalement.

SORTIE
Sortie typique :

 SSL-Session:
     Protocol  : TLSv1
     Cipher    : 0016
     Session-ID: 871E62626C554CE95488823752CBD5F3673A3EF3DCE9C67BD916C809914B40ED
     Session-ID-ctx: 01000000
     Master-Key: A7CEFC571974BE02CAC305269DC59F76EA9F0B180CB6642697A68251F2D2BB57E51DBBB4C7885573192AE9AEE220FACD
     Key-Arg   : None
     Start Time: 948459261
     Timeout   : 300 (sec)
     Verify return code 0 (ok)

Les champs sont détaillés ci-dessous.

Protocol
    Le protocole utilisé : TLSv1, SSLv3 ou SSLv2.

Cipher
    L'algorithme de chiffrement utilisé. Il s'agit du code d'algorithme brut SSL ou TLS, consultez les spécifications SSL ou TLS pour plus d'informations.

Session-ID
    L'identifiant de session SSL au format hexadécimal.

Session-ID-ctx
    Le contexte de l'identifiant de session au format hexadécimal.

Master-Key
    La clef maîtresse de la session SSL.

Key-Arg
    Le paramètre de la clef, uniquement utilisé avec SSL v2.

Start Time
    La date de démarrage de la session, représentée par un entier, au format UNIX standard.

Timeout
    La durée d'expiration en secondes.

Verify return code
    Le code de retour quand un certificat client SSL est vérifié.

NOTES
Le format PEM d'encodage des sessions utilise les lignes suivantes au début et à la fin :

 -----BEGIN SSL SESSION PARAMETERS-----
 -----END SSL SESSION PARAMETERS-----

Puisque la sortie de la session SSL contient la clef maîtresse, il est possible de lire le contenu d'une session cryptée en utilisant cette information. Ainsi, des précautions de sécurité appropriées doivent être prises si les informations sont sorties par une application « réelle ». Ce n'est toutefois pas encouragé et ne devrait être utilisé que pour le débogage.

BOGUES
L'algorithme de chiffrement et la date de début devraient être affichés dans une forme lisible.

VOIR AUSSI
ciphers(1), s_server(1)

TRADUCTION
Cette page de manuel a été traduite par David Montanes en 2008 et est maintenue par la liste <debian-l10n-french AT lists DOT debian DOT org>. Veuillez signaler toute erreur de traduction par un rapport de bogue sur le paquet manpages-fr-extra.